%define major		58
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Program for tidying up messy HTML
Name:		tidy
Epoch:		2
Version:	5.8.0
Release:	%mkrel 4
Group:		Text tools
License:	W3C License
URL:		https://www.html-tidy.org/
Source0:	https://github.com/htacg/tidy-html5/archive/%{version}/%{name}-html5-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	xsltproc

Provides:	%{name}-html5 = %{epoch}:%{version}-%{release}

%description
tidy is a program for tidying up messy html, for example, when we do 
html in vi, and we make the text italic with the <i> </i> tag some of us may
forget to end the italic text with </i>. tidy fixes this.

Install this if you need a program to help you tidy up your HTML.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{epoch}:%{version}
Provides:	lib%{name}-devel = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{name}-html5-%{version}
%autopatch -p1

%build
%cmake \
	-DTIDY_COMPAT_HEADERS:BOOL=ON \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DTIDY_CONSOLE_SHARED:BOOL=ON \
	-DBUILD_TAB2SPACE:BOOL=ON
%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.a' -delete

install -m 0755 build/tab2space %{buildroot}%{_bindir}

%files
%doc README.md
%license README/LICENSE.md
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libtidy.so.%{version}
%{_libdir}/libtidy.so.%{major}

%files -n %{develname}
%{_includedir}/tidy.h
%{_includedir}/tidybuffio.h
%{_includedir}/tidyenum.h
%{_includedir}/tidyplatform.h
%{_includedir}/buffio.h
%{_includedir}/platform.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/tidy.pc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2:5.8.0-4.mga10
+ Revision: 2196574
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 2:5.8.0-3.mga9
+ Revision: 1799641
- Mageia 9 Mass Rebuild

* Wed Jan 26 2022 tv <tv> 2:5.8.0-2.mga9
+ Revision: 1769877
- Major really is 58

* Mon Jan 24 2022 guillomovitch <guillomovitch> 2:5.8.0-1.mga9
+ Revision: 1769577
- new version 5.8.0

* Sat Feb 15 2020 umeabot <umeabot> 2:5.7.28-2.mga8
+ Revision: 1527214
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Jul 11 2019 daviddavid <daviddavid> 2:5.7.28-1.mga8
+ Revision: 1419973
- new version: 5.7.28

* Sun Sep 23 2018 umeabot <umeabot> 2:5.6.0-2.mga7
+ Revision: 1301407
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 2:5.6.0-1.mga7
+ Revision: 1190688
- new version: 5.6.0

* Thu Nov 02 2017 daviddavid <daviddavid> 2:5.4.0-1.mga7
+ Revision: 1175605
- new version: 5.4.0 (mga#21969)
- build with cmake
- now libmajor is 5
- update URL and Source URL
- explicitly list headers instead of globing so nothing "disappears" with version updates

* Tue Feb 09 2016 umeabot <umeabot> 1:20090904-11.mga6
+ Revision: 952766
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 1:20090904-10.mga6
+ Revision: 930529
- Mageia 6 Mass Rebuild

* Sat Jun 13 2015 luigiwalser <luigiwalser> 1:20090904-9.mga5
+ Revision: 823062
- add upstream patch to fix heap-based buffer overflow (upstream issue#217)

* Wed Oct 15 2014 umeabot <umeabot> 1:20090904-8.mga5
+ Revision: 743923
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:20090904-7.mga5
+ Revision: 689878
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1:20090904-6.mga4
+ Revision: 540623
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 1:20090904-5.mga4
+ Revision: 494067
- add upstream patch to fix upstream issue 2855621 (aka feature-request 347)

* Mon Jan 14 2013 umeabot <umeabot> 1:20090904-4.mga3
+ Revision: 384570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 13 2012 fwang <fwang> 1:20090904-3.mga3
+ Revision: 305204
- drop .la file

* Fri Jan 14 2011 mikala <mikala> 1:20090904-3.mga1
+ Revision: 17623
- Drop mdk macros
- imported package tidy


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:20090904-3mdv2011.0
+ Revision: 607994
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1:20090904-2mdv2010.1
+ Revision: 519075
- rebuild

* Fri Sep 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:20090904-1mdv2010.0
+ Revision: 431461
- new snapshot

* Fri Sep 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:20081224-1mdv2010.0
+ Revision: 431414
- new CVS snapshot, from Debian
- generate man page from tidy-output
- don't ship API doc

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:20051026-4mdv2010.0
+ Revision: 427356
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1:20051026-3mdv2009.1
+ Revision: 366368
- fix str fmt

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1:20051026-3mdv2009.0
+ Revision: 225691
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 01 2008 Funda Wang <fwang@mandriva.org> 1:20051026-2mdv2008.1
+ Revision: 160978
- New devel package policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 20051026-1mdv2007.0
+ Revision: 74471
- Import tidy

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:20051026-1mdk
- new version
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 20050415-2mdk
- Rebuild

* Tue Apr 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:20050415-1mdk
- New release 20050415
- spec cleanup

* Sat Jan 22 2005 David Walluck <walluck@mandrake.org> 1:20050120-1mdk
- 20050120
- fix src URL

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 20041025-2mdk
- it builds perfectly fine with automake1.7 (on 10.0 too, that has no
  automake1.9)
- fix deps

* Sun Dec 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20041025-1mdk 
- new version
- fix license spelling
- fix main package requires instead of lib package provides
- switch to automake 1.9

* Sat Jul 17 2004 Charles A Edwards <eslrahc@bellsouth.net> 20040713-2mdk 
- rm obsoletes/provides for hacktidy
- enforce versioing for automake
- fix provides for lib pkg

* Wed Jul 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20040713-1mdk 
- new version
- revert to a sane versioning

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1:0.99-0.20040318.2mdk
- use the %%configure2_5x macro
- fix deps

* Mon Apr 26 2004 David Walluck <walluck@mandrake.org> 1:0.99-0.20040318.1mdk
- 20040318
- add epochs to all Provides/Requires

* Sun Feb 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.99-0.20040228.1mdk
- 20040228
- fixed dependencies

* Wed Dec 03 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.99-0.20031101.1mdk
- 20031101
- fixed lib package name

